import grok
from waeup.interfaces import IFaculty
from waeup.viewlets import MainArea, LeftSidebar, Index, FormWrapMixin

class Faculty(grok.Container):
    grok.implements(IFaculty)

    def __init__(self, name=u'Unnamed Faculty', **kw):
        super(Faculty, self).__init__(**kw)
        self.name = name

class DisplayForm(grok.DisplayForm):
    grok.context(IFaculty)
    form_fields = grok.AutoFields(IFaculty)

class Content(FormWrapMixin, grok.Viewlet):
    """A viewlet that wraps the `AddFacultyForm`.
    """
    grok.viewletmanager(MainArea)
    grok.context(IFaculty)
    grok.view(Index)
    grok.require('waeup.manageUniversity')

    formview_name = 'displayform' # The name of the formview we want
                                  # to be rendered in this viewlet.

grok.global_utility(Faculty, provides=IFaculty)
